{
  "schema_version": "1.4.0",
  "id": "GHSA-7xq3-j5px-xf94",
  "modified": "2022-05-14T02:10:41Z",
  "published": "2022-05-14T02:10:41Z",
  "aliases": [
    "CVE-2013-5018"
  ],
  "details": "The is_asn1 function in strongSwan 4.1.11 through 5.0.4 does not properly validate the return value of the asn1_length function, which allows remote attackers to cause a denial of service (segmentation fault) via a (1) XAuth username, (2) EAP identity, or (3) PEM encoded file that starts with a 0x04, 0x30, or 0x31 character followed by an ASN.1 length value that triggers an integer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-5018"
    },
    {
      "type": "WEB",
      "url": "https://lists.strongswan.org/pipermail/users/2013-July/009540.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-08/msg00021.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-08/msg00022.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2013-08/msg00050.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54315"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/54524"
    },
    {
      "type": "WEB",
      "url": "http://strongswan.org/blog/2013/08/01/strongswan-5.1.0-released.html"
    },
    {
      "type": "WEB",
      "url": "http://strongswan.org/blog/2013/08/01/strongswan-denial-of-service-vulnerability-%28cve-2013-5018%29.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/61564"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-08-28T23:55:00Z"
  }
}